@import "@flaticon/flaticon-uicons/css/all/all.css";
@import "../css/materialcolor.css";
@import "../css/planning-depart.css";

$ter-color: #034EA2;
$tgv-color: #9b2743;
$ic-color: #7B1791;
$transilien-color: #83BF00;
$eva-color: #010830;
$eva-color-arrival: #08CF85;
$eva-color-departure: #1C3A83;

$ter-color-inverse: #013672;
$tgv-color-inverse: #701c30;
$ic-color-inverse: #4f0f5d;
$transilien-color-inverse: #557c01;
$eva-color-inverse: #011379;
$eva-color-arrival-inverse: #068d5b;
$eva-color-departure-inverse: #102048;

$type_colors: info, primary, success, danger;
$types: ter $ter-color $ter-color-inverse,
tgv $tgv-color $tgv-color-inverse,
ic $ic-color $ic-color-inverse,
transilien $transilien-color $transilien-color-inverse;

@each $type in $type_colors {
    .bg-#{$type} {
        color: white;
    }
}

.form-check.form-check-ter .form-check-input:checked {
    background-color: #034EA2 !important;
}

@each $type in $types {
    .form-check.form-check-#{nth($type, 1)} .form-check-input:checked {
        background-color: #{nth($type, 2)}-color !important;
    }

    .border {
        .border-color-#{nth($type, 1)} {
            border-color: #{nth($type, 2)}-color !important;
        }

        .border-color-#{nth($type, 1)}-inverse {
            border-color: #{nth($type, 3)}-color !important;
        }
    }

    .text-color-#{nth($type, 1)} {
        color: #{nth($type, 2)}-color !important;
    }

    .text-color-#{nth($type, 1)}-inverse {
        color: #{nth($type, 3)}-color !important;
    }

    .bg-color-#{nth($type, 1)} {
        background-color: #{nth($type, 2)}-color !important;
    }
    .bg-color-#{nth($type, 1)}-inverse {
        background-color: #{nth($type, 3)}-color !important;
    }

    .btn {
        .btn-#{nth($type, 1)} {
            background-color: #{nth($type, 2)}-color !important;
        }

        .btn-#{nth($type, 1)}-inverse {
            background-color: #{nth($type, 3)}-color !important;
        }
    }
}

.bg-striped {
    background-image: linear-gradient(45deg, rgba(255, 255, 255, .15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, .15) 50%, rgba(255, 255, 255, .15) 75%, transparent 75%, transparent);
    background-size: 3rem 3rem;
}

.right-arrow {
    border: {
        left: 15px solid #ffffff96;
        right: 15px solid transparent;
        bottom: 15px solid transparent;
    }
    left: 677px;
    position: relative;
    top: 75px;
    height: 0;
    width: 0;
}

.shop-description {
    background-color: #fffffff0;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    border-radius: 10px;
    left: 218px;
    padding: 15px;
    position: relative;
    width: 460px;
}

.fs-italic {
    font-style: italic;
}

.fs-underline {
    text-decoration: underline;
}

.fs-strike {
    text-decoration: line-through;
}

.fs-strike .strike-danger {
    text-decoration-color: #e93434;
}

.marquee-rtl {
    width: 100%;
    height: auto;
    overflow: hidden; /* masque tout ce qui dépasse */
    white-space: nowrap;
    animation: defilement-rtl 15s infinite linear;
    animation-name: defilement-rtl; /* référence à la règle @keyframes mise en oeuvre */
    animation-duration: 15s; /* valeur à ajuster suivant la longueur du message */
    animation-iteration-count: infinite; /* boucle continue */
    animation-timing-function: linear;
}

#slide_used .noUi-handle {
    width: 24px;
    height: 24px;
    top: -4.5px;
    border-radius: 50%;
    outline: 0;
    background: #146aef;
}

#slide_ancien .noUi-handle {
    width: 24px;
    height: 24px;
    top: -4.5px;
    border-radius: 50%;
    outline: 0;
    background: #3cef14;
}

#slide_used .noUi-connect {
    background: #c0392b;
}

.shadow-box {
    -webkit-box-shadow: 0px 5px 21px 12px rgba(0, 0, 0, 0.63), inset 0px 5px 21px 12px rgba(0, 0, 0, 0.21);
    box-shadow: 0px 5px 21px 12px rgba(0, 0, 0, 0.63), inset 0px 5px 21px 12px rgba(0, 0, 0, 0.21);
}

.gradient-wave {
    overflow: auto;
    background: linear-gradient(315deg, rgba(101, 0, 94, 1) 3%, rgba(60, 132, 206, 1) 38%, rgba(48, 238, 226, 1) 68%, rgba(255, 25, 25, 1) 98%);
    animation: gradient 15s ease infinite;
    background-size: 400% 400%;
    background-attachment: fixed;
}

.popover-inverse {
    width: 450px!important;
}

.wave {
    background: rgb(255 255 255 / 25%);
    border-radius: 1000% 1000% 0 0;
    position: fixed;
    width: 200%;
    height: 12em;
    animation: wave 10s -3s linear infinite;
    transform: translate3d(0, 0, 0);
    opacity: 0.8;
    bottom: 0;
    left: 0;
    z-index: -1;
}

.wave:nth-of-type(2) {
    bottom: -1.25em;
    animation: wave 18s linear reverse infinite;
    opacity: 0.8;
}

.wave:nth-of-type(3) {
    bottom: -2.5em;
    animation: wave 20s -1s reverse infinite;
    opacity: 0.9;
}

.rounded {
    border-radius: 0.375rem;
}

@for $i from 1 through 5 {
    .rounded-#{$i} {
        border-radius: $i * 0.375rem !important;
    }
}

@for $i from 5 through 100 {
    .h-#{$i} {
        height: #{$i} !important;
    }
    .w-#{$i} {
        width: #{$i} !important;
    }
}

@for $i from 20 through 100 {
    .p-#{$i} {
        padding: $i * 0.25rem !important;
    }

    .pt-#{$i} {
        padding-top: $i * 0.25rem !important;
    }

    .pb-#{$i} {
        padding-bottom: $i * 0.25rem !important;
    }

    .pe-#{$i} {
        padding-right: $i * 0.25rem !important;
    }

    .ps-#{$i} {
        padding-left: $i * 0.25rem !important;
    }

    .py-#{$i} {
        padding-top: $i * 0.25rem !important;
        padding-bottom: $i * 0.25rem !important;
    }

    .px-#{$i} {
        padding-left: $i * 0.25rem !important;
        padding-right: $i * 0.25rem !important;
    }
}

@keyframes defilement-rtl {
    0% {
        transform: translate3d(0, 0, 0); /* position initiale à droite */
    }
    100% {
        transform: translate3d(-100%, 0, 0); /* position finale à gauche */
    }
}

@keyframes gradient {
    0% {
        background-position: 0% 0%;
    }
    50% {
        background-position: 100% 100%;
    }
    100% {
        background-position: 0% 0%;
    }
}

@keyframes wave {
    2% {
        transform: translateX(1);
    }

    25% {
        transform: translateX(-25%);
    }

    50% {
        transform: translateX(-50%);
    }

    75% {
        transform: translateX(-25%);
    }

    100% {
        transform: translateX(1);
    }
}
